function mf = excise(mi,choice1,choice2);
%EXCISE  Used to remove NaN's and Inf's from a matrix
%  MF = EXCISE(MI,CHOICE1,CHOICE2)  Takes the matrix mi and replaces Inf 
%  values with choice1 and replaces NaN values with choice2
%
%   See also ISNAN, ISINF

[A,B] = find(isinf(mi));
mf = mi;

for i = 1:length(A)
   mf(A(i),B(i)) = choice1;
end

[A,B] = find(isnan(mi));

for i = 1:length(A)
   mf(A(i),B(i)) = choice2;
end
